# Airtable API Proxy Overview

## TL;DR

This API proxy lets you do any operation on your Airtable data but removes from you all the complexity of setting up and using the classic Airtable API 🤩

No need to worry about setting up a connected app, rotating the security token, using the correct API endpoints, record formatting and more! Everything is managed for you 💆‍♀️

**Operations:**

* Pass Through

### Regions 🌍

Depending on your region, you can use:

* 🇪🇺 `https://eu.api-proxy.stacksync.com/`
* 🇺🇸 `https://us.api-proxy.stacksync.com/`

### Pass Through

Make a request to any Airtable API which supports OAuth by providing the URL, Request Method and the Request Body.

A request will be sent to the URL provided using the request method and request body. The request body can be empty.

bash

```bash
curl -X [GET | POST | PUT | PATCH | DELETE] \
https://eu.api-proxy.stacksync.com/v1/proxy/INSERT_REQUEST_URL_HERE \
-H "Authorization: Bearer your_api_proxy_service_token" \
-d 'Optional'
```

#### Example request:

**Read Records from a Table**

bash

```bash
curl -X GET "https://us.api-proxy.stacksync.com/v1/proxy/https://api.airtable.com/v0/<baseId>/<tableId>?maxRecords=5&view=Grid%20view" \
-H "Authorization: Bearer <token>"
```

#### Example response:

json

```json
{
  "records": [
    {
      "id": "recXXXXXXXXXXXXXX",
      "createdTime": "2023-07-28T15:01:14.000Z",
      "fields": {
        "Name": "Sample Record 1",
        "Status": "In Progress",
        "Email": "sample1@example.com",
        "Amount": 1000,
        "Due Date": "2024-07-31",
        "Tags": ["Important", "Client"]
      }
    },
    {
      "id": "recYYYYYYYYYYYYYY",
      "createdTime": "2024-07-28T15:19:21.000Z",
      "fields": {
        "Name": "Sample Record 2",
        "Status": "Completed",
        "Email": "sample2@example.com",
        "Amount": 4000,
        "Due Date": "2024-07-25",
        "Tags": ["Important", "Partner"]
      }
    }
  ],
  "offset": "itrXXXXXXXXXXXXXX"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stacksync.com/two-way-sync/api-proxy/airtable.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
